import { UnwrapNestedRefs } from 'vue';
export type SegmentNavInstance = {
    activeTab?: string;
};
export declare function provideSegmentNavInstance(segmentNavInstance: UnwrapNestedRefs<SegmentNavInstance>): void;
export declare function useSegmentNavInstance(): {
    activeTab?: string | undefined;
};
